#### 7.10.2.1 operatorAlgebra

Procedure from library `fpalgebras.lib` (see fpalgebras_lib).

Usage:
  operatorAlgebra(a,d); a a string, d an integer

Return:
  ring

Note:
  - the ring contains the ideal I, which contains the required relations - a gives the name of the algebra
  - d gives the degreebound for the Letterplace ring

  a must be one of the following:
  integrodiff3
  toeplitz
  weyl1
  usl2
  usl2h
  shift1inverse
  exterior2
  quadrowmm
  shift1
  weyl1inverse

  This is a collection of common algebras.

Example:

    LIB "fpalgebras.lib";
    def R = operatorAlgebra("integrodiff3",5); setring R;
    I; //relations of the algebra
    ==> I[1]=-x*D+D*x-1
    ==> I[2]=II*II-x*II+II*x
    ==> I[3]=D*II-1

User manual for Singular version 4.4.1, 2025, generated by texi2html.